from os import getenv

from elasticsearch import Elasticsearch


def get_client():
    return Elasticsearch(getenv("ELASTIC_URL"), timeout=300)


def create_index(index):
    client = get_client()
    client.indices.create(index=index)


def add_document(index, id, doc):
    client = get_client()
    client.index(index=index, id=id, document=doc)


def refresh_index(index):
    client = get_client()
    client.indices.refresh(index=index)
