import React, {useEffect, useState} from "react";
import {useRouter} from "next/router";
import Layout from "../components/Layout";
import Link from "next/link";
import classNames from "classnames";

export default function CreateDocument() {
    const router = useRouter();

    const [token, setToken] = useState("");
    const [user, setUser] = useState("");

    useEffect(() => {
        setToken(() => localStorage.getItem("token"))
        setUser(() => localStorage.getItem("user"))
    }, [])

    const handleSubmit = async (event) => {
        event.preventDefault()

        let data = {
            name: event.target.name.value,
        }

        const JSONdata = JSON.stringify(data)

        const res = await fetch("http://localhost:8000/api/documents", {
            method: "POST",
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `Bearer ${token}`
            },
            body: JSONdata
        })
        let json = await res.json();
        router.push(`/documents/${json["id"]}`)
    }

    return (
        <Layout>
            <div className="flex items-center justify-center w-full h-full">
                <form onSubmit={handleSubmit}
                      className="flex items-center justify-center align-center w-full h-full login-form"
                      style={{flexDirection: "column"}}>
                    <div>
                        <input type="text" id="name" name="name" required placeholder="name"
                               style={{border: "1px solid grey", color: "black", padding: "2px 4px"}}/>
                    </div>

                    <button type="submit" className="rounded bg-pink-600 rounded"
                            style={{border: "1px solid grey", padding: "4px"}}>Create
                    </button>
                </form>
            </div>
        </Layout>
    );
}