import React, {useState} from "react";
import {useRouter} from "next/router";
import {Input} from "postcss";

export default function Login() {
    const router = useRouter();

    const handleSubmit = async (event) => {
        event.preventDefault()

        let formData = new FormData();
        formData.append("username", event.target.username.value)
        formData.append("password", event.target.password.value)

        const res = await fetch("http://localhost:8000/api/token", {method: 'POST', body: formData})
        const json = await res.json();

        if (res.status == 202) {
            localStorage.setItem("token", json["access_token"])
            const res = await fetch("http://localhost:8000/api/users/me", {
                method: 'GET',
                headers: {
                    'Authorization': `Bearer ${json["access_token"]}`
                }
            })
            const aux = await res.json();

            if (res.status == 200) {
                console.log(aux)
                localStorage.setItem("user", aux[0])
            }

            router.push("/")
        } else {
            alert('Fail')
        }
    }

    return (
        <div className="flex items-center justify-center w-full h-full" style={{marginTop: "30%"}}>
            <form onSubmit={handleSubmit}
                  className="flex items-center justify-center align-center w-full h-full login-form"
                  style={{flexDirection: "column"}}>
                <div>
                    <input type="text" id="username" name="username" required placeholder="username"
                           style={{border: "1px solid grey", color: "black", padding: "2px 4px"}}/>
                </div>
                <div>
                    <input type="password" id="password" name="password" required placeholder="password"
                           style={{border: "1px solid grey", color: "black", padding: "2px 4px"}}/>
                </div>

                <button type="submit" className="rounded bg-pink-600 rounded"
                        style={{border: "1px solid grey", padding: "4px"}}>Log in
                </button>
            </form>
        </div>
    );
}